from distutils.core import setup, Extension
from Pyrex.Distutils import build_ext
import sys

try:
    import numpy
except:
    print 'numpy required but not installed, exit.'
    sys.exit(1)

numpy_include_dir =  numpy.get_include()

module = Extension('_me', sources=['_me.pyx'], include_dirs=[numpy_include_dir])

setup (name = 'pymctf',
       version = '1.0',
       author = 'Peter Meerwald',
       author_email = 'pmeerw@pmeerw.net',
       description = 'Motion-compensated temporal filtering (MCTF)',
       py_modules = ['pymctf'],
       ext_modules = [module],
       cmdclass = {'build_ext': build_ext}
)
